Subject: [bug#75518] Request for merging "core-packages-team" branch

From: Andreas Enge <[email-masked]>
Date: Fri, 20 Jun 2025 14:46:58 +0200

Hello,

Am Fri, Jun 20, 2025 at 05:38:25PM +0800 schrieb Z572:
> for now, these packages are blocking the bulid.
> (...)

thanks for the analysis!

> Now a lot of packages are stuck at qtlocation@5, but I think it doesn 't
> make sense to just fix it. It needs to be upgraded later, The new
> version of qt5 seems to fix some compilation issues for new version gcc,
> so I think it' s possible to upgrade qt5 on core-packages-team. What do
> you think?

Definitely everything that does not build now can be repaired/updated,
since we lose no work. You could have a look at the (dormant and waiting
for core-packages-team) qt-team branch if the problem is already solved
there. If possible, it would be nice to be "conservative" and to change
as little as possible so as to avoid adding breakage somewhere.

Andreas